#ifndef	_OFFLINE_H
#define	_OFFLINE_H



/*
 *  Each area has a tag if the area exists, so we can check
 *  at login if the sysop added new areas (or deleted). This
 *  file is synced at login. Location: usershomedir/.olrtags
 */
struct	_olrtagrec {
	unsigned short	Available	: 1;	/* Is the area available     */
	unsigned short	Tagged		: 1;	/* Is this area tagged	     */
	unsigned short	ScanNew		: 1;	/* Scan for new mail	     */
};


struct	_olrtagrec	olrtagrec;


void OLR_TagArea(void);				/* Tag area(s)		     */
void OLR_UntagArea(void);			/* Untag area(s)	     */
void OLR_SyncTags(void);			/* Sync tag/msg area(s)	     */
void OLR_ViewTags(void);			/* View tagged areas	     */
void OLR_Upload(void);				/* Upload mail packet	     */
void OLR_RestrictDate(void);			/* Restrict download date    */
void OLR_DownBW(void);				/* Download BlueWave format  */
void OLR_DownQWK(void);				/* Download QWK format	     */
void OLR_DownASCII(void);			/* Download ASCII format     */
void OLR_DownPnt(void);				/* Download Point format     */


#endif

